gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from _XEventsQueued() from XPending() from gdk_check_xpending() ["Connection to xwayland lost"]

Bug #1505409 reported by Thomas Zoutendijk on 2015-10-12
This bug affects 303 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Confirmed
Critical
Ubuntu GNOME
High
Unassigned
gnome-shell (Ubuntu)
Undecided
Unassigned
mutter (Ubuntu)
High
Unassigned
Artful
High
Unassigned

Bug Description

https://errors.ubuntu.com/problem/d0252e2b465152efea2511e72f1e31681e2b2742

---

Occurred during start-up, before I did anything special...

1 Ubuntu Wily Werewolf (development branch) 15.10
2 3.16.3-1ubuntu6
3&4 not applicable

ProblemType: Crash
DistroRelease: Ubuntu 15.10
Package: gnome-shell 3.16.3-1ubuntu6
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.19.1-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME
Date: Mon Oct 12 19:22:07 2015
DisplayManager: gdm
ExecutablePath: /usr/bin/gnome-shell
GsettingsChanges:

InstallationDate: Installed on 2015-10-08 (4 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
ProcCmdline: gnome-shell --mode=gdm --wayland --display-server
ProcEnviron:
 SHELL=/bin/false
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=nl_NL.UTF-8
Signal: 5
SourcePackage: gnome-shell
StacktraceTop:
 ?? () from /usr/lib/libmutter.so.0
 _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
 _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
 XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
 ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
Title: gnome-shell crashed with signal 5 in _XIOError()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Thomas Zoutendijk (thomaszout) wrote :

StacktraceTop:
 x_io_error (display=<optimized out>) at wayland/meta-xwayland.c:348
 _XIOError (dpy=dpy@entry=0x2d841b0) at ../../src/XlibInt.c:1464
 _XEventsQueued (dpy=dpy@entry=0x2d841b0, mode=mode@entry=2) at ../../src/xcb_io.c:366
 XPending (dpy=0x2d841b0) at ../../src/Pending.c:55
 gdk_check_xpending (display=0x2bba1f0) at /build/gtk+3.0-pco567/gtk+3.0-3.16.7/./gdk/x11/gdkeventsource.c:266

Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
tags: added: xenial

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
tags: added: yakkety
tags: added: bugpattern-needed
Jeremy Bicha (jbicha) on 2016-10-30
information type: Private → Public
Jeremy Bicha (jbicha) on 2016-10-30
Changed in gnome-shell (Ubuntu):
importance: Medium → High
Changed in ubuntu-gnome:
importance: Undecided → High
status: New → Confirmed
Thorsten (thorstenr-42) wrote :

happens after every boot on ubuntu gnome 16.10

oMeGa (omega64) wrote :

I confirm, after every boot of ubuntu gnome 16.10 (fresh install), this bug occur

Hunter (njckfletcher) wrote :

I can also confirm. This happens after every boot. I am running ubuntu gnome 16.10 and just installed it yesterday.

I can confirm as well. Started happening after the update to 16.10

Justin Rush (justindevelops) wrote :

Still happening on 16.10 clean installed on 2016-12-10. If I can provide anything please let me know.

Kinda strange this is happening a lot in 16.10, based on what I'm hearing
here. :/
On Dec 14, 2016 5:55 PM, "Justin Rush" <email address hidden> wrote:

> Still happening on 16.10 clean installed on 2016-12-10. If I can provide
> anything please let me know.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1583219).
> https://bugs.launchpad.net/bugs/1505409
>
> Title:
> gnome-shell crashed with signal 5 in _XIOError()
>
> Status in Ubuntu GNOME:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Confirmed
>
> Bug description:
> Occurred during start-up, before I did anything special...
>
> 1 Ubuntu Wily Werewolf (development branch) 15.10
> 2 3.16.3-1ubuntu6
> 3&4 not applicable
>
> ProblemType: Crash
> DistroRelease: Ubuntu 15.10
> Package: gnome-shell 3.16.3-1ubuntu6
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu2
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Mon Oct 12 19:22:07 2015
> DisplayManager: gdm
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2015-10-08 (4 days ago)
> InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64
> (20150924)
> ProcCmdline: gnome-shell --mode=gdm --wayland --display-server
> ProcEnviron:
> SHELL=/bin/false
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=nl_NL.UTF-8
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> ?? () from /usr/lib/libmutter.so.0
> _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5 in _XIOError()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-gnome/+bug/1505409/+subscriptions
>

Seems to occur both on Wayland and on Xorg just the same... Strange thing is that after upgrading two laptops to 16.10, one laptop started showing this error right away while the other did not. But now, about two months later, the second laptop has started too. A setting (like lock screen background image) I changed? An update? No idea what...

Changed in gnome-shell:
importance: Unknown → Critical
status: Unknown → Confirmed
Changed in gnome-shell:
status: Confirmed → Expired
Changed in gnome-shell:
status: Expired → Confirmed
tags: added: zesty
Tommy S-Andreassen (tdoml) wrote :

I installed the Topicons plus extension yesterday. Since it recommended that Dropbox was moved to user systemd to avoid crash of the tray, I did just that. Since then gnome-shell has not crashed. It used to crash on every new login/boot.

Tommy S-Andreassen (tdoml) wrote :

Btw; in addition to moving dropbox to systemd, that is removing it from .config/autostart;
I also deleted these from .config/autostart:
rm evolution-alarm-notify.desktop
rm gnome-getting-started.desktop
rm gnome-welcome-tour.desktop

Still no crash.

Tommy S-Andreassen (tdoml) wrote :

And then it crashed again. It must be related to how fast I launch applications after login or just a random race condition. Strange.

Berg Lloyd-Haig (berglh) wrote :

Just wanted to add that I was experiencing this problem after a Xenial to Yakkety upgrade of Ubuntu Gnome. I ran Startup Application manager and noticed there were a couple gnome shell welcome binaries [/usr/lib/x86_64-linux-gnu/gnome-initial-setup/gnome-welcome-tour] launching on the user login.

I ended up removing both of them, plus some other items I was certain I didn't need. I then performed a "shutdown -rF now" to do a file system check as I was pretty certain the battery died and the system didn't shutdown cleanly. I haven't experienced the problem again as yet. It might be that I will see it again soon similar to Tommy, but might be worth having a look Tommy to see if you have multiple welcome binaries still in place for Startup to see if there is any correlation with my findings.

Pavel Roskin (proski) wrote :

Still happening in up-to-date Zesty prerelease. I was pressing Fn-F8 on a Dell laptop to switch between different monitor configurations when it happened.

kg (joshorjeff) wrote :

Happens about 30%(?) of the time when logging in after restarting; this isn't a consistent bug for me but pretty common.

SimonWerner (simonwerner) wrote :

Happens in 17.04 for me.

Roman Zabaluev (haarolean) wrote :

Happens in 17.04 for me, after logging in and randomly during the work. Topicons installed, will try disabling it.

tags: added: artful
Jango (zejangojr) wrote :

In Ubuntu gnome 17,04 worked for me(installed with mini.iso):

gnome-session-properties=>disable "Welcome" entry

No more errors!!!!

Obs.: Sorry. I'm Brazilian, and I do not speak English.

description: updated
summary: - gnome-shell crashed with signal 5 in _XIOError()
+ gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from
+ _XEventsQueued() from XPending() from gdk_check_xpending()
tags: added: xorg

I want to call this Critical, but if we're defaulting to Wayland then this bug won't be happening...

Tim Lunn (darkxst) wrote :

from the stacktrace on errors.u.c, it looks like that is happening under wayland. It looks to me like Xwayland under the gdm3 gnome-shell greeter session is the one that is crashing. This runs under wayland by default.

Changed in gdm3 (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

Ah, good point. Yes the crash is actually in mutter (wayland/meta-xwayland.c)

Changed in mutter (Ubuntu):
importance: Undecided → High
status: New → Confirmed
summary: gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from
- _XEventsQueued() from XPending() from gdk_check_xpending()
+ _XEventsQueued() from XPending() from gdk_check_xpending() ["Connection
+ to xwayland lost"]
Daniel van Vugt (vanvugt) wrote :

In theory if the problem is Xwayland/Xorg going away then we could see a similar huge number of crashes there as in this bug. And we do. But surprisingly the binary is listed as Xorg, not Xwayland:

Top gnome-shell crash (this bug): 37442 occurrences this year
https://errors.ubuntu.com/problem/d0252e2b465152efea2511e72f1e31681e2b2742

Top Xorg crash (bug 1543192): 36403 occurrences this year
https://errors.ubuntu.com/problem/4de849dfec89af168af9cda3318221a2a654e530

There could be some causation there...

Jeremy Bicha (jbicha) wrote :

Oh, I think this issue has been talked about in Debian too.

https://bugzilla.gnome.org/782660

Daniel van Vugt (vanvugt) wrote :

Weirdly there are practically no crashes reported for Xwayland:
  https://errors.ubuntu.com/?package=xwayland&period=year

This makes me suspect that gnome-shell might be managing the Xwayland process and possibly hiding its crashes (including the root cause of this bug) from errors.ubuntu.com.

I get the bug notification directly after boot, but only after an upgrade.
It's strange that there is No reference to the known bug. I am useing the
Ubuntu login.
Regards Per-inge

Den 26 juli 2017 9:25 fm skrev "Daniel van Vugt" <
<email address hidden>>:

> Weirdly there are practically no crashes reported for Xwayland:
> https://errors.ubuntu.com/?package=xwayland&period=year
>
> This makes me suspect that gnome-shell might be managing the Xwayland
> process and possibly hiding its crashes (including the root cause of
> this bug) from errors.ubuntu.com.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696904).
> https://bugs.launchpad.net/bugs/1505409
>
> Title:
> gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from
> _XEventsQueued() from XPending() from gdk_check_xpending()
> ["Connection to xwayland lost"]
>
> Status in GNOME Shell:
> Confirmed
> Status in Ubuntu GNOME:
> Confirmed
> Status in gdm3 package in Ubuntu:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Confirmed
> Status in mutter package in Ubuntu:
> Confirmed
>
> Bug description:
> https://errors.ubuntu.com/problem/d0252e2b465152efea2511e72f1e31
> 681e2b2742
>
> ---
>
> Occurred during start-up, before I did anything special...
>
> 1 Ubuntu Wily Werewolf (development branch) 15.10
> 2 3.16.3-1ubuntu6
> 3&4 not applicable
>
> ProblemType: Crash
> DistroRelease: Ubuntu 15.10
> Package: gnome-shell 3.16.3-1ubuntu6
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu2
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Mon Oct 12 19:22:07 2015
> DisplayManager: gdm
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2015-10-08 (4 days ago)
> InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64
> (20150924)
> ProcCmdline: gnome-shell --mode=gdm --wayland --display-server
> ProcEnviron:
> SHELL=/bin/false
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=nl_NL.UTF-8
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> ?? () from /usr/lib/libmutter.so.0
> _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5 in _XIOError()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1505409/+subscriptions
>

Frogs Hair (detaill) wrote :

Confirmed

Ubuntu Artful Development release.

Jeremy Bicha (jbicha) wrote :

Daniel, I think there are a lot of crashes that are never reported because apport didn't work (maybe it still doesn't) in the Wayland session.

Download full text (3.4 KiB)

I got here because my apport-raised bug #1721492 apparently automatically got marked as a duplicate of this. I'm not so sure:

This happened after a kernel upgrade to 4.13.0-14-generic. Yesterday I was happily using this system in a wayland session using nouveau. On reboot with this update, all I saw was a black screen. I had to ssh in from my phone to see in /var/log/syslog a bunch of apparent nouveau-drm failures like this:

Oct 5 10:12:46 fleetfoot kernel: [ 1.304052] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0
Oct 5 10:12:46 fleetfoot kernel: [ 4.245166] nouveau 0000:01:00.0: DRM: EVO timeout
Oct 5 10:12:46 fleetfoot kernel: [ 6.245268] nouveau 0000:01:00.0: DRM: base-1: timeout
Oct 5 10:12:46 fleetfoot kernel: [ 8.250984] nouveau 0000:01:00.0: DRM: base-1: timeout
Oct 5 10:12:47 fleetfoot kernel: [ 9.292554] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 61a804 [ IBUS ]
Oct 5 10:12:47 fleetfoot kernel: [ 9.302375] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 61a804 [ IBUS ]
Oct 5 10:12:55 fleetfoot kernel: [ 17.770234] nouveau 0000:01:00.0: DRM: base-0: timeout
Oct 5 10:12:57 fleetfoot kernel: [ 19.770400] nouveau 0000:01:00.0: DRM: base-0: timeout
Oct 5 10:12:57 fleetfoot kernel: [ 19.776398] nouveau 0000:01:00.0: DRM: base-1: timeout
Oct 5 10:12:59 fleetfoot kernel: [ 21.776531] nouveau 0000:01:00.0: DRM: base-1: timeout
Oct 5 10:12:59 fleetfoot kernel: [ 21.807177] nouveau 0000:01:00.0: DRM: base-0: timeout
Oct 5 10:13:01 fleetfoot kernel: [ 23.782358] nouveau 0000:01:00.0: DRM: base-1: timeout
Oct 5 10:13:03 fleetfoot kernel: [ 25.801765] nouveau 0000:01:00.0: DRM: base-0: timeout
Oct 5 10:13:03 fleetfoot kernel: [ 25.807270] nouveau 0000:01:00.0: DRM: base-1: timeout
Oct 5 10:13:05 fleetfoot kernel: [ 27.818059] nouveau 0000:01:00.0: DRM: base-0: timeout
Oct 5 10:13:05 fleetfoot kernel: [ 27.823600] nouveau 0000:01:00.0: DRM: base-1: timeout

... and so on. It doesn't stop until I reboot (which hangs, although I think after rsyslogd has closed. I need to hit reset).

I had seen this before, on the first kernel 4.13 version in Artful. Reverting then to the last 4.12 let things work for me. But trying that this time, trying to boot kernel 4.13.0.12, didn't help; I just got the same symptoms.

Got the system working again by installing the nvidia-387 proprietary drivers and using them in default configuration in an xorg session. On the previous occasion I saw this, it also affected nvidia-384 (as was current then), with continual panics reported in the nvidia-drm module, until I turned off modeset (at the time I had, with partial success, been running wayland on that). I haven't yet tried modeset on this nvidia driver.

After I got the system working again, and logged in, I was presented with the apport bug report that led to #1721492. I queried in there whether it was the same issue, but on later seeing syslog it looks like those nouveau errors only show up after gnome-shell (in gdm) is launched.

Attached to this comment, the complete syslog of that first session after rebooting from the upgrade. I think those nouveau timeout errors...

Read more...

/var/log/history.log section as per above post

wdeurholt (wdeurholt) wrote :

Ignore #34. Error came back after some time.

Daniel van Vugt (vanvugt) wrote :

While this bug is the top gnome-shell crasher by far, it's actually not what should be fixed first. What we should fix first are the top Xwayland crashes that are triggering this bug.

Upstream would like to make gnome-shell more independent of Xwayland so that Xwayland crashes don't also bring down gnome-shell. But that's longer term, and also would not help those applications using Xwayland when it crashes.

So let's try to fix the Xwayland crashes first and then this bug then won't be such an issue. It appears the top xorg-server (Xwayland?) crasher that might be causing all this is still:

https://errors.ubuntu.com/problem/4de849dfec89af168af9cda3318221a2a654e530 (bug 1543192)

Although that's based on the source package 'xorg-server'. If that's wrong and we should be looking at this instead (which is empty):

https://errors.ubuntu.com/?package=xwayland&period=month

then our top priority should be figuring out why Xwayland crashes aren't getting reported there (comment #31). Because our top priority should be finding out why Xwayland is crashing (or just failing to start? bug 1543192?)

Daniel van Vugt (vanvugt) wrote :

Here's a fix that will help us make rapid progress:

https://bugzilla.gnome.org/show_bug.cgi?id=789086

Daniel van Vugt (vanvugt) wrote :

Come to think of it, fixing bug 1724185 might also stop this and bug 1556601 from happening (most of the time, not all the time).

At the moment when gnome-shell/mutter shuts down, Xwayland doesn't cope well and may silently crash, which in turn is caught by gnome-shell and gnome-shell crashes with "Connection to xwayland lost". So the act of trying to debug the situation here and fixing bug 1724185 first might actually avoid most instances of this one too.

Just for the sake of adding a comment too... I am getting this in the following situation. I hope the description is correct.
 1) I change the display set-up on my laptop slightly too fast, e.g. close the lid, re-open, re-close (I did that quite a bit recently trying to work out bug patterns).
 2) GNOME Shell creates a wl_output object for the internal screen, reports it to Xwayland, then removes it again because the screen is disabled again.
 3) Xwayland asks GNOME Shell for more information about the no-longer-existing wl_output object and GNOME Shell (in the Wayland library code) terminates the connection because it considers asking about a non-existing object to be a bug.
 4) Xwayland dutifully terminates and GNOME Shell panics and terminates too.

See: https://phabricator.freedesktop.org/T7722

At least in my case, I think that the sensible approach is to make wayland-server treat requests for deleted objects non-fatal, as suggested by Pekka Paalanan in the blog post linked to above.

Chris Miller (chrhs) wrote :

So, this definitely isn't a "fix", but it resolved the problem for me (at least so-far). I simply dpkg-reconfigured over to another DN temporarily, rebooted, then swapped back to GDM3 and it went away. Less of a fix more of a band aid.

I think I have found I way to reproduce the crash of gnome-shell, at least in my PC. Almost always opening up Spotify and double-clicking on a playlist so it shuffle-plays results in gnome-shell crashing and recovering a couple of seconds later.

Follow up form my previous comment: note that the crash only happens in the first interaction after opening Spotify, further actions doesn't trigger the crash again.

Another follow up about this bug: after some more crashes I am realizing
that they seem to happen when a notification tries to pop up, like when
starting to play a playlist on Spotify or changing the song. Gnome-shell
crashes and the notification pop up never appears. Subsequent notifications
do work.

El mié., 1 de nov. de 2017 a la(s) 11:05, Nicolás Abel Carbone <
<email address hidden>> escribió:

> Follow up form my previous comment: note that the crash only happens in
> the first interaction after opening Spotify, further actions doesn't
> trigger the crash again.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1720784).
> https://bugs.launchpad.net/bugs/1505409
>
> Title:
> gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from
> _XEventsQueued() from XPending() from gdk_check_xpending()
> ["Connection to xwayland lost"]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1505409/+subscriptions
>
--

Nicolás Abel Carbone
<email address hidden>
<email address hidden>

Interesting

For what it's worth: On seeing #44 I tried turning off notification popups and lock screen notifications and left it overnight. On waking I had the usual problems I often (not always) have with my monitors persuading them to wake up (one of them is a model with a known issue with waking up: early-revision Dell P2715Q), but once I'd fought through that (multiple monitor power-cycles) I still had the gnome session that I had left on screen the previous evening. The first time *that's* happened on more than a very short screen lock period since... since I installed the Artful alpha I think.

One possible minor glitch, though probably not part of this bug: When the monitors did eventually admit there was a signal coming from the computer, I briefly saw the logged in gnome desktop before it was replaced by the lock screen. Is that supposed to happen?

This is on Gnome Xorg session, on nVidia 387.22 (GTX960), gnome-shell 3.26.1-0ubuntu5, mutter 3.26.1-2ubuntu2 (the latter of which I know has a newer version now in proposed which I'll be installing soon).

Daniel van Vugt (vanvugt) wrote :

This bug is a catch-all bug. If Xwayland crashes for any reason it will trigger gnome-shell death either in this bug or as bug 1556601.

While we appreciate everyone's efforts in diagnosing problems, in this particular case the issue is already understood and doesn't need much more comment.

We can and will try to reduce the number of Xwayland crashes triggering this, which should be dealt as separate bugs. And separately, ideally, mutter/gnome-shell should not commit suicide when Xwayland crashes. The Gnome guys are already aware of this problem and say they would like to break this dependency in a future version of mutter/gnome-shell. That way even if Xwayland does crash it won't bring gnome-shell down with it.

It failed to hold true on day 2 anyway, as today the session didn't survive the overnight sleep. But in any case I re-checked the bug of mine that was marked a duplicate of this one, and saw as it was during one of my brief try-outs with wayland, is irrelevant to my current gnome-session woes, as I'm back on xorg. I had thought this just one of the family of gnome-shell crashers that was affecting both xorg and wayland, but seemingly only with displayport monitors.

Ok, Daniel, I understand. Should I file a specific bug about the
notification-related crash? There are a lot of bug reports with gnome-shell
crashes and some of them are probably related to the notifications, but i
don't know how to figure out which one is the one I am having.

El jue., 9 de nov. de 2017 a la(s) 06:55, Rachel Greenham <
<email address hidden>> escribió:

> It failed to hold true on day 2 anyway, as today the session didn't
> survive the overnight sleep. But in any case I re-checked the bug of
> mine that was marked a duplicate of this one, and saw as it was during
> one of my brief try-outs with wayland, is irrelevant to my current
> gnome-session woes, as I'm back on xorg. I had thought this just one of
> the family of gnome-shell crashers that was affecting both xorg and
> wayland, but seemingly only with displayport monitors.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1711383).
> https://bugs.launchpad.net/bugs/1505409
>
> Title:
> gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from
> _XEventsQueued() from XPending() from gdk_check_xpending()
> ["Connection to xwayland lost"]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1505409/+subscriptions
>
--

Nicolás Abel Carbone
<email address hidden>
<email address hidden>

Daniel van Vugt (vanvugt) wrote :

Nicolás,

Yes please. In particular please try to report crashes using the crash files left in /var/crash/ using this command:
  ubuntu-bug /var/crash/YOURFILE.crash
or if that fails then:
  apport-cli /var/crash/YOURFILE.crash

Alright, done. It is bug #1731484.
Neither ubuntu-bug nor apport-cli worked, but crashed when trying to submit the .crash file. So, I attached it manually.
Thanks!

Cico Zhang (cicozhang) wrote :

The same problem, wayland crashed.

Dec 16 09:41:56 cico-XPS-13-9360 gnome-shell[906]: Failed to apply DRM plane transform 0: Permission denied
Dec 16 09:41:57 cico-XPS-13-9360 org.gnome.Shell.desktop[906]: (EE)
Dec 16 09:41:57 cico-XPS-13-9360 org.gnome.Shell.desktop[906]: Fatal server error:
Dec 16 09:41:57 cico-XPS-13-9360 org.gnome.Shell.desktop[906]: (EE) wl_drm@4: error 0: authenicate failed
Dec 16 09:41:57 cico-XPS-13-9360 org.gnome.Shell.desktop[906]: (EE)
Dec 16 09:41:57 cico-XPS-13-9360 gnome-shell[906]: X Wayland crashed; aborting
Dec 16 09:41:58 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/ui/main.js 315]: reference to undefined property "MetaStage"
Dec 16 09:41:58 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 221]: reference to undefined property "MetaWindowGroup"
Dec 16 09:41:58 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/ui/osdMonitorLabeler.js 59]: reference to undefined property "MetaDBusDisplayConfig
Dec 16 09:41:59 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/ui/slider.js 38]: reference to undefined property "CallyActor"
Dec 16 09:41:59 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/gjs/modules/tweener/tweener.js 540]: reference to undefined property "isSpecialProperty"
Dec 16 09:41:59 cico-XPS-13-9360 gnome-shell[1039]: Error looking up permission: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.impl.portal.Per
Dec 16 09:41:59 cico-XPS-13-9360 org.gnome.Shell.desktop[1039]: Window manager warning: "XF86RFKill" is not a valid accelerator
Dec 16 09:42:00 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 29]: reference to undefined property "MetaWindowX11"
Dec 16 09:43:18 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/gdm/realmd.js 130]: reference to undefined property "_loginFormat"
Dec 16 09:43:18 cico-XPS-13-9360 gnome-shell[1039]: JS WARNING: [resource:///org/gnome/shell/gdm/realmd.js 142]: reference to undefined property "_loginFormat"

Daniel van Vugt (vanvugt) wrote :

Happy 2018.

Now we've got Xwayland leaving core files when it crashes (fixed in mutter 3.26.2), we still see very few Xwayland crashes. Too few to account for most (90%+) of the instances of this bug...

 https://errors.ubuntu.com/?package=xwayland&period=month
 https://errors.ubuntu.com/?package=gnome-shell&period=month

So the most likely explanation I can think of now is that Xwayland is exiting prematurely, in some way that looks like an unexpected crash to its parent (mutter code in the gnome-shell process). We'll need to look for possible ways Xwayland might exit prematurely without dumping core...

Daniel van Vugt (vanvugt) wrote :

I think we might need to split this bug in two, just for the sake of automation.

In 18.04 the stack trace for this crash is a bit different. So our robots don't notice it's the same bug as this. It might pay to un-duplicate one of the newer forms, just so the robots can find it and will stop logging duplicates. And comment in that bug that it's the same as this one.

Daniel van Vugt (vanvugt) wrote :

Bug 1746653 (private) mentions that Xwayland is dumping core (just "core") in $HOME. That might explain this bug if the same is happening for a lot of people... we wouldn't get the crash reports we need.

Daniel van Vugt (vanvugt) wrote :

I have now reopened bug 1732878. So hopefully the bots will find that one and I won't have to deduplicate them by hand any more.

Bug 1732878 is still really a duplicate of this one for the sake of fixes. Just that the stacktrace changed slightly in 18.04's 3.26.2-0ubuntu1.

Daniel van Vugt (vanvugt) wrote :

Now tracking duplicates in bug 1748450 instead.

Daniel van Vugt (vanvugt) wrote :

Update: Now we've had the fix for bug 1746874 released in 18.04 for a couple of weeks we should be able to see some correlation between gnome-shell and Xwayland crashes, if there's any at all.

But we don't see any correlation. In the past week, Ubuntu 18.04 has hit this gnome-shell crash 5967 times (via bug 1748450) and Xwayland's top crash has only happened 60 times over the same period.

So now we really have to assume that either:
 (a) Xwayland is not crashing at all and gnome-shell is mistaking some transient error for a crash; or
 (b) Xwayland is crashing/exiting and failing to dump core, failing to leave a crash file.

Daniel van Vugt (vanvugt) wrote :

Actually (a) might be explained if Xwayland is restarting itself on some X error. But in Xorg terms it can restart the server anew without exiting. So gnome-shell would see this as a crash while the Xwayland process stays running.

Daniel van Vugt (vanvugt) wrote :

It looks like upstream has a "fix" coming:

https://gitlab.gnome.org/GNOME/mutter/commit/2d80fd02e76bbe17dc52072299dda92ab88c99c0

Although that will just stop the crash reports from occurring and not fix the root cause. That may be all we need for now...

Daniel van Vugt (vanvugt) wrote :

^^^
I feel conflicted about letting gnome-shell just exit. It will result in some people logging bug reports that we can't diagnose, but those will be orders of magnitude fewer than what we see now.

So short term for 18.04, it's a good idea. Slightly beyond that, it's going to keep hurting us if nobody fixes Xwayland.

Daniel van Vugt (vanvugt) wrote :

mutter (3.28.1-1ubuntu1) bionic; urgency=medium

  * Add xwayland-use-g_autoptr-for-GError-in-xserver_died.patch,
    xwayland-Don-t-abort-if-Xwayland-crashes.patch:
    - Cherry picked from upstream, to reduce noise of mutter on crashes
      which are actually caused by XWayland (LP: #1748450)

 -- Marco Trevisan (Treviño) <email address hidden> Mon, 23 Apr 2018 10:46:57 -0500

Changed in mutter (Ubuntu):
status: Confirmed → Fix Released
no longer affects: gnome-shell (Ubuntu)
no longer affects: gnome-shell (Ubuntu Artful)
Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

This crash is now fixed in Ubuntu 18.04. But I'll leave the gnome-shell task open for a while to help people and bots find the bug more easily.

no longer affects: gdm3 (Ubuntu Artful)
no longer affects: gdm3 (Ubuntu)
Daniel van Vugt (vanvugt) wrote :

Fix Released. Zero reports of this crash in gnome-shell 3.28 and later.

tags: added: bionic
Changed in gnome-shell (Ubuntu):
status: Confirmed → Fix Released
Changed in ubuntu-gnome:
status: Confirmed → Fix Released
Changed in mutter (Ubuntu Artful):
status: Confirmed → Won't Fix
John Stevens (reaperofshred) wrote :

👏👏👏 Awesome dude.

On Wed, Aug 8, 2018, 12:21 AM Daniel van Vugt <email address hidden>
wrote:

> Fix Released. Zero reports of this crash in gnome-shell 3.28 and later.
>
> ** Tags added: bionic
>
> ** Changed in: gnome-shell (Ubuntu)
> Status: Confirmed => Fix Released
>
> ** Changed in: ubuntu-gnome
> Status: Confirmed => Fix Released
>
> ** Changed in: mutter (Ubuntu Artful)
> Status: Confirmed => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1744815).
> https://bugs.launchpad.net/bugs/1505409
>
> Title:
> gnome-shell crashed with SIGTRAP in x_io_error() from _XIOError() from
> _XEventsQueued() from XPending() from gdk_check_xpending()
> ["Connection to xwayland lost"]
>
> Status in GNOME Shell:
> Confirmed
> Status in Ubuntu GNOME:
> Fix Released
> Status in gnome-shell package in Ubuntu:
> Fix Released
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Artful:
> Won't Fix
>
> Bug description:
>
> https://errors.ubuntu.com/problem/d0252e2b465152efea2511e72f1e31681e2b2742
>
> ---
>
> Occurred during start-up, before I did anything special...
>
> 1 Ubuntu Wily Werewolf (development branch) 15.10
> 2 3.16.3-1ubuntu6
> 3&4 not applicable
>
> ProblemType: Crash
> DistroRelease: Ubuntu 15.10
> Package: gnome-shell 3.16.3-1ubuntu6
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu2
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Mon Oct 12 19:22:07 2015
> DisplayManager: gdm
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2015-10-08 (4 days ago)
> InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64
> (20150924)
> ProcCmdline: gnome-shell --mode=gdm --wayland --display-server
> ProcEnviron:
> SHELL=/bin/false
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=nl_NL.UTF-8
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> ?? () from /usr/lib/libmutter.so.0
> _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
> ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5 in _XIOError()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1505409/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.